clang 10.0.0git

Functions
ChainedIncludesSource.cpp File Reference
`#include "clang/Basic/Builtins.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "clang/Frontend/ASTUnit.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/TextDiagnosticPrinter.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
`#include "clang/Parse/ParseAST.h"`
`#include "clang/Sema/MultiplexExternalSemaSource.h"`
`#include "clang/Serialization/ASTReader.h"`
`#include "clang/Serialization/ASTWriter.h"`
`#include "llvm/Support/MemoryBuffer.h"`
Include dependency graph for ChainedIncludesSource.cpp:

Go to the source code of this file.

## Functions
static ASTReader * | createASTReader (CompilerInstance &CI, StringRef pchFile, SmallVectorImpl< std::unique_ptr< llvm::MemoryBuffer >> &MemBufs, SmallVectorImpl< std::string > &bufNames, ASTDeserializationListener *deserialListener=nullptr)

## Function Documentation

## ◆ createASTReader()

static ASTReader* createASTReader | ( | CompilerInstance & | CI,
|  | StringRef | pchFile,
|  | SmallVectorImpl< std::unique_ptr< llvm::MemoryBuffer >> & | MemBufs,
|  | SmallVectorImpl< std::string > & | bufNames,
|  | ASTDeserializationListener * | deserialListener = `nullptr`
| ) |  |
| static

Definition at line 80 of file ChainedIncludesSource.cpp.

References clang::ASTReader::ARR_None, clang::ASTReader::ConfigurationMismatch, clang::ASTReader::Failure, clang::CompilerInstance::getASTContext(), clang::CompilerInstance::getModuleCache(), clang::CompilerInstance::getPCHContainerReader(), clang::CompilerInstance::getPreprocessor(), clang::ASTReader::HadErrors, clang::ASTReader::Missing, clang::serialization::MK_PCH, clang::ASTReader::OutOfDate, clang::Preprocessor::setPredefines(), clang::ASTReader::Success, and clang::ASTReader::VersionMismatch.

Referenced by clang::createChainedIncludesSource(), and clang::CompilerInstance::takeOutputStream().